Wstęp

 Top Next

Program „Asystent elektronika 2”, aktualnie w wersji v2.1.0, jest dostępny za darmo na stronie http://www.asystentelektronika.org. Jeśli masz jakieś sugestie dot. programu lub po prostu program Ci się spodobał napisz e-maila na mój adres: piotrek@asystentelektronika.org

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.


Zmiany w stosunku do wersji v2.0.9

 Top Previous Next

-Poprawiony błąd "," dla systemów z kropką jako znakiem dziesiętnym

-Poprawiony błąd w obliczaniu cewki wielowarstwowej

-Możliwość wyszukiwania pdf z bazy elementów

-Dodane wyszukiwanie danych katalogowych poprzez Google szczęśliwy traf

-Dodany przycisk umożliwiający zgłoszenie z poziomu programu błędu lub propozycji zmian

-Drobne poprawki w bazie danych AVR

-Zabezpieczenie przed wpisywaniem liter w miejscach, gdzie mają być cyfry

-Usunięte przyciski „licz”, program dokonuje automatycznego obliczania po wpisaniu wszystkich danych

-Usunięte przyciski „wyjdź”

-Poprawki wyglądu interfejsu

-Inne drobne poprawki w większości modułów


Historia wersji

v2.1.0

-Poprawiony błąd "," dla systemów z kropką jako znakiem dziesiętnym

-Poprawiony błąd w obliczaniu cewki wielowarstwowej

-Możliwość wyszukiwania pdf z bazy elementów

-Dodane wyszukiwanie danych katalogowych poprzez Google szczęśliwy traf

-Dodany przycisk umożliwiający zgłoszenie z poziomu programu błędu lub propozycji zmian

-Drobne poprawki w bazie danych AVR

-Zabezpieczenie przed wpisywaniem liter w miejscach, gdzie mają być cyfry

-Usunięte przyciski „licz”, program dokonuje automatycznego obliczania po wpisaniu wszystkich danych

-Usunięte przyciski „wyjdź”

-Poprawki wyglądu interfejsu

-Inne drobne poprawki w większości modułów

v2.0.9

- Dodany katalog 8-bitowych mikrokontrolerów Microchip PIC

- Dodany moduł do wyliczenia wymaganej rezystancji termicznej radiatora

- Poprawiony i ulepszony moduł systemów liczbowych

- Dodany moduł wyszukiwania w szeregach E3...E192

- Poprawiony i ulepszony moduł "Natężenie, napięcie, moc"

- Poprawiony moduł przeliczania wielkości jednostek

- Dodana ikonka i możliwość minimalizacji do tray'a

- Możliwość włączenia sprawdzania dostępnych aktualizacji przy starcie programu

v2.0.8

- Poprawiony błąd przeliczania okresu i częstotliwości (jednostki)

- Dodany terminal RS232

- Dodane zaawansowane wyszukiwanie układów AVR firmy Atmel

- Poprawiony system aktualizacji

- Dodana możliwość przeliczania systemów liczbowych

- Obliczenia dla układu LM350

- Część wzorów jest dostępna w pliku pomocy (w przyszłości będą wszystkie użyte w programie)

- Dodane komunikaty o błędach (głównie baza usterek)

- Dodana możliwość edycji wpisów w bazie usterek

- Poprawione działanie bazy usterek

v2.0.7

- Dodana baza danych usterek

- Dodany kalkulator kodu paskowego dławików

- W module do wyliczania rezystora dla diody LED są pokazane napięcia przewodzenia diod

- Naciśnięcie klawisza ESC zamyka okno

- Dodano kalkulatory dla wzmacniaczy operacyjnych

- Uproszczona została obsługa przelicznika jednostek

- Zostało poprawione kilka mniej znaczących błędów

v2.0.6

- Dodany przycisk "Szukaj w sklepach" przy bazach danych AVR i TDA

- Dodałem funkcję szukania na forum Elektroda.pl poprzez Google

- Dodałem wyszukiwanie katalogów w serwisie Elenota.pl

- Dodałem wyliczanie elementów do stabilizatorów LM317 i LM337

v2.0.5

- Wyświetlanie wartości rezystorów zgodnie z szeregiem E24

- Blokada przy niemożliwych wymiarach cewki

- Układy Atmel rysują się w czasie rzeczywistym na podstawie plików tekstowych, przez co cały program zmalał o ponad 1MB

- Rozszerzyłem kalkulatory cewek

- Poprawiłem błąd mocy rezystora

- Poprawiłem wyświetlanie wartości elementów (kilo, mega)

- Poszerzyłem zakres pracy przelicznika okres -> częstotliwość i odwrotnie

v2.0.4

- Dodane rysunki procesorów AVR

- Dodane ceny procesorów AVR /wg TME.pl/

- Zmieniony wygląd głównego menu programu

- Poprawiony odczyt wersji programu w aktualizacji przez Internet

- Dodana możliwość aktualizacji pliku pomocy przez Internet

- Dodany kalkulator dla cewek powietrznych wielowarstwowych

v2.0.3

- Obsługa zarówno "," jaki i "." w liczbach jako przecinka

- Poprawione zaokrąglanie liczb

- Przeliczanie wat na dBm

- Rozkodowywanie kodu elementów elektronicznych (MIL)

- Przeliczanie kodów paskowych kondensatorów

- Wyszukiwanie elementów w popularnych sklepach internetowych

- Rozszerzona funkcja wyszukiwania danych katalogowych - jest dostępnych do wyboru 6 stron na których będziemy

szukać

- Naprawiony błąd aktualizacji i kodu paskowego rezystora

- Możliwość uruchamiania do 5 zdefiniowanych zewnętrznych aplikacji

v2.0.2

- Aktualizacja baz danych i programu przez Internet

- Sprawdzanie dostępności nowej wersji baz i programu

- Obliczanie indukcyjności cewki powietrznej jednowarstwowej

v2.0.1

- Baza mikrokontrolerów AVR

- Baza układów TDA

- Aktualizacja baz danych przez Internet

- Wyszukiwanie danych katalogowych na stronie www.datasheetcatalog.com

- Przeliczanie Herców na sekundy i odwrotnie

- Rozkodowywanie kodu paskowego rezystorów

- Przeliczanie wielkości jednostek

- Kalkulatory układu NE555

- Wyliczanie rezystora np. do diody LED

- Wyliczanie rezystancji zastępczej

- Wyliczanie Volt, Amper, Wat

- Sterowanie portem LPT

- Rezystorowy dzielnik napięcia

v2.0.0

Wersja niepubliczna na konkurs "VI Rybnicka Młodzieżowa Nagroda Nobla"


Kategorie

Wybierz kategorię.


Dane


Bazy danych AVR, PIC i TDA

1. W menu głównym kliknij na bazę, która cię interesuje.

2. Z lewej strony wybierz nazwę układu (można też wpisać w polu "Szukaj" oznaczenie układu i kliknąć na ikonkę z lupą lub nacisnąć klawisz Enter). Z prawej wyświetlą się jego dane.

3. Po kliknięciu wybraniu odpowiedniej obudowy i kliknięciu "Pokaż" zostanie wyświetlony jego rysunek.

4. Dotyczy bazy AVR i PIC: Po kliknięciu "Wyszukiwanie zaawansowane" wysunie się możliwość szukania wg. kryteriów. Kliknij "Kryteria" aby je wpisać (potrzeba przynajmniej jedno), następnie zatwierdź poprzez kliknięcie "OK". Kliknij szukaj, a program wyświetli układy spełniające podane kryteria.

UWAGA dla AVR: W przypadku układów które mają więcej niż 1kb EEPROM lub SRAM należy wpisać w kryteriach np. dla 1kb nie 1024 tylko 1k

Aby wyszukać dany układ w sklepie internetowym kliknij "Szukaj w sklepach"


Inne


Sterowanie portem LPT

1. W menu głównym kliknij "Sterowane portem LPT".

2. Zaznacz piny na których ma pojawić się stan wysoki i kliknij "Wyślij".

UWAGA!!! Obciążalność pojedynczego pinu to maksymalnie 20 mA!

Nie odpowiadam za szkody powstałe w wyniku złego obchodzenia się z portem LPT.


Aktualizacja

1. W menu głównym kliknij "Aktualizacja".

2. Upewnij się, że jesteś podłączony do Internetu oraz, że program znajduje się na dysku twardym i kliknij "Sprawdź dostępność aktualizacji".

3. Jeśli są dostępne nowe aktualizacje kliknij "Pobierz".

4. Postępuj wg. ewentualnych dalszych poleceń.


Ustawienia zdefiniowanych programów

1. W pole "Nazwa" wpisz nazwę programu - będzie wyświetlana w menu głównym programu.

2. Kliknij przycisk "..." i wybierz plik .exe lub .bat danego programu.

3. Zaznacz pole "Aktywny". Przy nieużywanych miejscach na program pole to powinno być odznaczone.

4. Kliknij "Zapisz ustawienia". Program uruchomi się ponownie i od tej pory z menu głównego będzie można uruchomić podane aplikacje.


Terminal RS232

1. W menu głównym kliknij "Terminal RS232".

2. Kliknij "Ustawienia" i wprowadź odpowiednie.

3. Kliknij "Połącz" aby połączyć aplikację z portem RS232.

4. W czarnym pasku wpisuj znaki (ciągi znaków) do wysłania i potwierdzaj klawiszem ENTER lub przyciskiem "Wyślij". Będą one widoczne poprzedzone znakiem ">:". Informacje przychodzące będą poprzedzone znakiem "<:"

5. Po kliknięciu "Wyjdź" program automatycznie się rozłącza z portem.


Inne ustawienia

Tutaj możesz ustawić czy przy starcie programu mają być sprawdzane aktualizacje.


Baza usterek


Dodaj/usuń producenta

1. W menu głównym kliknij "Dodaj/usuń producenta".

2. Wpisz nazwę producenta i kliknij "Dodaj do bazy".

3. Aby usunąć producenta zaznacz go na liście, a następnie kliknij "Usuń zaznaczonego".


Dodaj/usuń model

1. W menu głównym kliknij "Dodaj/usuń model".

2. Zaznacz na liście odpowiedniego producenta, wpisz nazwę modelu i kliknij "Dodaj do bazy".

3. Aby usunąć model zaznacz producenta na liście,a następnie model do usunięcia. Kliknij "Usuń zaznaczony".


Dodaj/usuń usterkę

1. W menu głównym kliknij "Dodaj/usuń usterkę".

2. Zaznacz na liście odpowiedniego producenta, model, wpisz nazwę usterki i jej treść i kliknij "Dodaj usterkę do bazy".

3. Aby usunąć usterkę zaznacz producenta na liście,a następnie model i usterkę do usunięcia. Kliknij "Usuń zaznaczoną usterkę z bazy".


Zobacz bazę usterek

1. W menu głównym kliknij "Zobacz bazę usterek".

2. Zaznacz na liście odpowiedniego producenta, model i usterkę.

3. Zostanie wyświetlona jej treść.


Edytuj usterkę

1. W menu głównym kliknij "Edytuj usterkę".

2. Zaznacz na liście odpowiedniego producenta, model i usterkę.

3. Aby zaktualizować usterkę wpisz nową treść oraz kliknij "Aktualizuj usterkę".


Konstrukcja baz programu


Bazy TDA i ATMEL

Oto fragment bazy ATMEL:

Atmel|ATtiny11|1kB|BRAK|BRAK|6 MHz|2,7-5,5V|4|1|6|1|0|0|0|0|0|Nie|Nie|Tak|Nie|Tak|Nie|Nie|Tak|Nie|1,89

Atmel|ATtiny12|1kB|64B|BRAK|8 MHz|1,8-5,5V|5|1|6|1|0|0|0|0|0|Nie|Nie|Tak|Tak|Tak|Tak|Nie|Tak|Nie|1,89

Jest to kolejno:

Firma|Model|Pamięć FLASH|Pamięć EEPROM|Pamięć SRAM|Maksymalna częst. zegara|Zasilanie|Przerwania|Zewnętrzne przerwania|Ilość wejść/wyjść|Ilość 8 bitowych timerów|Ilość 16 bitowych timerów|Ilość Wyjść PWM|Sprzętowe SPI|Sprzętowe UART|Wejścia analogowo-cyfrowe|Zegar czasu rzeczywistego (RTC)|Interfejs Two Wire|Analogowy komparator|Programowanie ISP|Watchdog|Brownout Detector|Mnożnik sprzętowy|Wewnętrzny oscylator|Self-programming|Cena

Oto fragment bazy TDA:

TDA1010A|23,90zł|Wzmacniacz audio 6W

TDA1011|29,90zł|Wzmacniacz audio 4W

Jest to kolejno:

Model|Cena|Opis


Rysunki procesorów

Oto zawartość pliku opisującego rysunek procesora ATTiny 11:

1

ATtiny 11

450

175

150

20

250

120

8

(RESET) PB5

(XTAL1) PB3

(XTAL2) PB4

GND

VCC

PB2 (T0)

PB1 (INT0/AIN1)

PB0 (AIN0)

Jest to kolejno:

Tryb*

Nazwa

Szerokość okna

Wysokość okna

Odległość od lewej strony okna (w pikselach), w której znajduje się lewa ścianka obudowy

Odległość od góry okna (w pikselach), w której znajduje się górna ścianka obudowy

Odległość od lewej strony okna (w pikselach), w której znajduje się prawa ścianka obudowy

Odległość od góry okna (w pikselach), w której znajduje się dolna ścianka obudowy

Ilość nóżek obudowy

//OPIS KOLEJNYCH NÓŻEK//** - musi być dla każdej nóżki, inaczej program wybije błąd

*Tryb - 1 dla obudowy DIP, 2 dla obudowy MLF, TQFP

**W jakiej kolejności wpisywać opisy nóżek?

DLA TRYBU 1:

DLA TRYBU 2:


Wzory

· Rezystor dla diody LED: R=(Uzas-Uled)/Iled

Moc rezystora: P=(Uzas-Uled)*Iled

Iled - prąd diody

Uled - napięcie robocze diody

Uzas - napięcie zasilania

· U - napięcie

I - prąd

P - moc

U=P/I

I=P/U

P=U*I

· Rezystorowy dzielnik napięcia:

Uwyj=Uwej*(R2/(R1+R2))

· LM317/337/350

· Wzmacniacze operacyjne

Odwracający:

Wzmocnienie = -(R2/R1)

Nieodwracający:

Wzmocnienie = 1+(R2/R1)

· Okres, częstotliwość:

f - częstotliwość

T - okres

f=1/T

T=1/f

· Cewka powietrzna jednowarstwowa:

N - liczba zwojów

a - średnica zewnętrzna

l - długość

L - indukcyjność

L = N*N * a*a/4 / (9*a/2 + 10*l)

· Cewka powietrzna wielowarstwowa

N - liczba zwojów

a - średnica zewnętrzna

b - średnica wewnętrzna

l - długość

L - indukcyjność

L = N*N * 0.2*a*a / ( 3*a + 9*l + 10*(a-b))


Podziękowania i darczyńcy

 Top Previous

Dziękuję wszystkim, którzy wspierają mój projekt merytorycznie, w szczególności użytkownikom forum elektroda.pl. Dziękuję za wszelkie rady dot. funkcjonowania programu.

Dziękuję także tym, którzy wsparli projekt finansowo:

1. Marian R. (www.mrelektronik.pl) - 100 zł oraz 50zł

2. Edward O. (Bielsko-Biała) - 40 zł

3. Wojciech Jerzy Ch. - 30 zł

4. Hubert M. (Szczytniki) - 25 zł

This help file was created with an unregistered evaluation copy of Help & Manual. © EC Software. All rights reserved. This message will not appear if you compile this help file with the registered version of Help & Manual.